(*  Title:      Nitpick/Nitpick.thy
    ID:         $Id: Nitpick.thy,v 1.16 2008/10/10 14:53:09 blanchet Exp $
    Author:     Jasmin Blanchette, TU Muenchen
    Copyright   2008, 2009

Default parameters for Nitpick.
*)

header {* Nitpick *}

theory Nitpick
imports NitpickBase
begin

consts maybe :: "'a \<Rightarrow> 'a" ("_\<^isub>?" [40] 40)

ML {* NitpickModel.maybe_const_name := @{const_name maybe} *}

lemma The_pseudodef [nitpick_const_simp]:
"P = {x} \<Longrightarrow> The P = x"
by (metis Collect_def singleton_conv2 the_sym_eq_trivial)

nitpick_params [card = 1-6, mult = 1-6, iter = 1,2,4,8,16,32, lockstep = false,
                sat_solver = auto, batch_size = 100, falsify = true,
                normalize = false, inductive_mood = realistic,
                specialize_funs = true, skolem_depth = 4, peephole = true,
                timeout = 30 s, auto_timeout = 100 ms,
                wellfounded_timeout = 200 ms, sym_break = 20, sharing_depth = 3,
                flatten_props = false, verbose = false, show_skolems = true,
                show_datatypes = false, show_consts = false, max_potential = 1,
                check_potential = false, check_genuine = false]

end
